#include <glut.h>
#include <math.h>
#include <stdlib.h>
#include <iostream>

using namespace std;

int t = 500;//- 
float x, y;//
float angle;//   

// 
void proporsion(int w, int h)
{
	if (h == 0)
	{
		h = 1;
	}
	float ratio = float(w) / h;
	glMatrixMode(GL_PROJECTION);
	glLoadIdentity();
	gluPerspective(45, ratio, 500, 500);
	glMatrixMode(GL_MODELVIEW);
}

//
void paint(void)
{
	glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);//  

	// 1
	glBegin(GL_POLYGON);// 
	glColor3ub(0, 0, 0);//
	for (int i = 0; i <= t; i++)
	{
		float a = (float)i / t * 3.1415 * 2;
		x = sin(a) * 4;
		y = cos(a) * 4;
		glVertex2f(x, y);

	}
	glEnd();
	// 2
	glPushMatrix();
	glRotatef(angle, 0, 0, 1);//
	glBegin(GL_POLYGON);
	glColor3ub(255, 255, 255);
	for (int i = 0; i <= t; i++)
	{
		float a = (float)i / t * 3.1415 * 2;
		x = sin(a) * 2;
		y = cos(a) * 2 + 2;
		glVertex2f(x, y);

	}
	glEnd();
	glPopMatrix();
	// 3
	glPushMatrix();
	glRotatef(angle, 0, 0, 1);
	glBegin(GL_POLYGON);
	glColor3ub(0, 0, 0);
	for (int i = 0; i <= t; i++)
	{
		float a = (float)i / t * 3.1415 * 2;
		x = sin(a);
		y = cos(a) + 3;
		glVertex2f(x, y);

	}
	glEnd();
	glPopMatrix();
	// 4
	glPushMatrix();
	glRotatef(angle, 0, 0, 1);
	glBegin(GL_POLYGON);
	glColor3ub(255, 255, 255);
	for (int i = 0; i <= t; i++)
	{
		float a = (float)i / t * 3.1415 * 2;
		x = sin(a) / 2;
		y = cos(a) / 2 + 3.5;
		glVertex2f(x, y);

	}
	glEnd();
	glPopMatrix();
	// 5
	glPushMatrix();
	glRotatef(angle, 0, 0, 1);
	glBegin(GL_POLYGON);
	glColor3ub(0, 0, 0);
	for (int i = 0; i <= t; i++)
	{
		float a = (float)i / t * 3.1415 * 2;
		x = sin(a) / 4;
		y = cos(a) / 4 + 3.75;
		glVertex2f(x, y);

	}
	glEnd();
	glPopMatrix();
	// 6
	glPushMatrix();
	glRotatef(angle, 0, 0, 1);
	glBegin(GL_POLYGON);
	glColor3ub(255, 255, 255);
	for (int i = 0; i <= t; i++)
	{
		float a = (float)i / t * 3.1415 * 2;
		x = sin(a) / 8;
		y = cos(a) / 8 + 3.9;
		glVertex2f(x, y);

	}
	glEnd();
	glPopMatrix();
	// 7
	glPushMatrix();
	glRotatef(angle, 0, 0, 1);
	glBegin(GL_POLYGON);
	glColor3ub(0, 0, 0);
	for (int i = 0; i <= t; i++)
	{
		float a = (float)i / t * 3.1415 * 2;
		x = sin(a) / 16;
		y = cos(a) / 16 + 3.95;
		glVertex2f(x, y);

	}
	glEnd();
	glPopMatrix();

	glutSwapBuffers();

}
// 
void Timer(int)
{
	angle += 0.5;//
	glutTimerFunc(15, Timer, 0);//   15
	glutPostRedisplay();
}

int main(int argc, char **argv) {

	// 
	glutInit(&argc, argv);
	glutInitDisplayMode(GLUT_DEPTH | GLUT_DOUBLE | GLUT_RGBA);//double:      
	glutInitWindowPosition(100, 100);// 
	glutInitWindowSize(500, 500);// 
	glutCreateWindow("");// 
	glClearColor(1.0, 1.0, 1.0, 1.0);// 
	glOrtho(-5.0, 5.0, -5.0, 5.0, -5.0, 5.0);// 

	glutDisplayFunc(paint);//  
	glutReshapeFunc(proporsion);//   
	glutTimerFunc(0, Timer, 0);// 
	glutMainLoop();// 
	return 1;
}
